/*
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code in this file as it was released upon
 * April 1, 2001 and that is NOT a joke!
 *
 * The Initial Developer of the Original Code is Henk-Johan van Rantwijk.
 * all Portions created by Henk-Johan van Rantwijk are Copyright (C) 2001
 * by Henk-Johan van Rantwijk. All Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Henk-Johan van Rantwijk  <Bugs4HJ@NetScape.net> 
*/

const G_MSG             = "QuickPrefsMenu v 1.0";
const G_NAME            = "quickprefs";
const G_VER             = "1.0";
const G_CHROME          = "chrome";

const G_CONTENT         = "content/quickprefs/";
const G_SKIN_CLASSIC    = "skin/classic/quickprefs/";
const G_SKIN_MODERN     = "skin/modern/quickprefs/";
const G_LOCALE          = "locale/en-US/quickprefs/";
const G_JAR_FILE        = "quickprefs.jar";

const G_CHROME_DIR      = getFolder(G_CHROME);

const COMNT_1           = "Installation of QuickPrefsMenu v 1.0";
const COMNT_2           = "QuickPrefsMenu jar file";

var err = initInstall( G_MSG, G_NAME, G_VER );
var platformStr;
var platformNode;

  logComment( COMNT_1 );

  if( !err )
    err = "Ok";
  logComment( "Installation init : " + err );
  addFile( COMNT_2, G_JAR_FILE, G_CHROME_DIR, "" );

  if ('platform' in Install) {
    platformStr = new String( Install.platform );

    if ( !platformStr.search(/^Macintosh/) )
      platformNode = 'mac';
    else if ( !platformStr.search(/^Win/) )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  else {
    var fOSMac  = getFolder( "Mac System" );
    var fOSWin  = getFolder( "Win System" );

    logComment( "fOSMac: "  + fOSMac );
    logComment( "fOSWin: "  + fOSWin );

    if ( fOSMac != null )
      platformNode = 'mac';
    else if ( fOSWin != null )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  if ( platformNode == 'win' ) {
    logComment( "Installation started for Win32 platform" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT      );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN_CLASSIC );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN_MODERN  );
    registerChrome( LOCALE  | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_LOCALE       );
  }
  else {
    logComment( "Installation started for a Unix/Mac platform" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT      );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN_CLASSIC );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN_MODERN  );
    registerChrome( LOCALE  | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_LOCALE       );
  }
  err = getLastError();

  if ( err == SUCCESS ) {
    performInstall();
  }
  else {
    logComment( "Error explanation at: http://developer.netscape.com/docs/manuals/xpinstall/err.html" );
    cancelInstall( err );
  }

